//-----------------------------------------------------------------------------
// audio_0_wrapper.v
//-----------------------------------------------------------------------------

module audio_0_wrapper
  (
    SYSTEM_CLOCK,
    ac97_bit_clock,
    ac97_sdata_in,
    ac97_sdata_out,
    ac97_synch,
    audio_reset_b,
    Lcontrol,
    Rcontrol,
    dcm_locked,
    LVibAct,
    RVibAct,
    LOctave,
    ROctave
  );
  input SYSTEM_CLOCK;
  input ac97_bit_clock;
  input ac97_sdata_in;
  output ac97_sdata_out;
  output ac97_synch;
  output audio_reset_b;
  input [31:0] Lcontrol;
  input [31:0] Rcontrol;
  input dcm_locked;
  input LVibAct;
  input RVibAct;
  input LOctave;
  input ROctave;

  audio
    audio_0 (
      .SYSTEM_CLOCK ( SYSTEM_CLOCK ),
      .ac97_bit_clock ( ac97_bit_clock ),
      .ac97_sdata_in ( ac97_sdata_in ),
      .ac97_sdata_out ( ac97_sdata_out ),
      .ac97_synch ( ac97_synch ),
      .audio_reset_b ( audio_reset_b ),
      .Lcontrol ( Lcontrol ),
      .Rcontrol ( Rcontrol ),
      .dcm_locked ( dcm_locked ),
      .LVibAct ( LVibAct ),
      .RVibAct ( RVibAct ),
      .LOctave ( LOctave ),
      .ROctave ( ROctave )
    );

endmodule

// synthesis attribute x_core_info of audio_0_wrapper is audio_v1_00_a;

